Save Ticket Status Postpone Options
Replaces the postpone options of a Postponed ticket status.
Standard options can only change rank and active state.
NsApiSlow threshold: 5000 ms.
Authorizations
SuperOffice username:password are passed in Base64-encoded.
You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.
SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/
passing in the application id and redirect URL.
SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)
https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f
You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.
Headers
Convert string references and multi-language values into a specified language (iso2) code.
Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
Specify the timezone code that you would like date/time responses converted to.
The application token that identifies the partner app. Used when calling Online WebAPI from a server.
Query Parameters
Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
Body
TicketStatusId, PostponeOptions
Response
OK
Primary key
The Postponed ticket status the option belongs to
Rank order of the option in the postpone menu
Built-in option this row represents, or Custom for options added by an administrator
Custom, OneHour, TwentyFourHours, NextWorkingDay, NextWeek, OneWeek, OneMonth Name of a custom option, shown in the postpone menu. Empty for standard options
How the activation time is calculated
Unknown, Interval, NextWorkingDay, WeekdayNextWeek Number of units for the Interval rule
Unit of amount for the Interval rule: hours, days, weeks or months
Unknown, Second, Minute, Hour, Day, Week, Month, Quarter, HalfYear, Year, Decade, Century, Millenium ISO weekday (1 = Monday, 7 = Sunday) for the WeekdayNextWeek rule
Minutes after midnight for the NextWorkingDay and WeekdayNextWeek rules
Skip days and hours outside the opening hours of the ticket priority
Option is shown in the postpone menu
Name shown in the postpone menu. Localized for standard options.
Time of activation for the day-based rules, e.g. '08:00' or 'Mon 08:00'. Empty for the Interval rule.